Create a portal link
curl --request POST \
--url https://us.getconvoy.cloud/api/v1/projects/{projectID}/portal-links \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"auth_type": "<string>",
"can_manage_endpoint": true,
"endpoints": [
"<string>"
],
"name": "<string>",
"owner_id": "<string>"
}
'import requests
url = "https://us.getconvoy.cloud/api/v1/projects/{projectID}/portal-links"
payload = {
"auth_type": "<string>",
"can_manage_endpoint": True,
"endpoints": ["<string>"],
"name": "<string>",
"owner_id": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auth_type: '<string>',
can_manage_endpoint: true,
endpoints: ['<string>'],
name: '<string>',
owner_id: '<string>'
})
};
fetch('https://us.getconvoy.cloud/api/v1/projects/{projectID}/portal-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": true,
"data": {
"auth_key": "<string>",
"can_manage_endpoint": true,
"created_at": "<string>",
"deleted_at": "<string>",
"endpoint_count": 123,
"endpoints": [
"<string>"
],
"endpoints_metadata": [
{
"advanced_signatures": true,
"authentication": {
"api_key": {
"header_name": "<string>",
"header_value": "<string>"
},
"basic_auth": {
"password": "<string>",
"username": "<string>"
},
"oauth2": {
"audience": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"field_mapping": {
"access_token": "<string>",
"expires_in": "<string>",
"token_type": "<string>"
},
"grant_type": "<string>",
"issuer": "<string>",
"scope": "<string>",
"signing_algorithm": "<string>",
"signing_key": {
"crv": "<string>",
"d": "<string>",
"dp": "<string>",
"dq": "<string>",
"e": "<string>",
"kid": "<string>",
"kty": "<string>",
"n": "<string>",
"p": "<string>",
"q": "<string>",
"qi": "<string>",
"x": "<string>",
"y": "<string>"
},
"subject": "<string>",
"url": "<string>"
}
},
"content_type": "<string>",
"created_at": "<string>",
"deleted_at": "<string>",
"description": "<string>",
"events": 123,
"failure_rate": 123,
"http_timeout": 123,
"mtls_client_cert": {
"client_cert": "<string>",
"client_key": "<string>"
},
"name": "<string>",
"owner_id": "<string>",
"project_id": "<string>",
"rate_limit": 123,
"rate_limit_duration": 123,
"secrets": [
{
"created_at": "<string>",
"deleted_at": "<string>",
"expires_at": "<string>",
"uid": "<string>",
"updated_at": "<string>",
"value": "<string>"
}
],
"slack_webhook_url": "<string>",
"support_email": "<string>",
"uid": "<string>",
"updated_at": "<string>",
"url": "<string>"
}
],
"name": "<string>",
"owner_id": "<string>",
"project_id": "<string>",
"token": "<string>",
"uid": "<string>",
"updated_at": "<string>",
"url": "<string>"
}
}{
"message": "<string>",
"status": true,
"data": {}
}{
"message": "<string>",
"status": true,
"data": {}
}{
"message": "<string>",
"status": true,
"data": {}
}Portal Links
Create a portal link
This endpoint creates a portal link
POST
/
v1
/
projects
/
{projectID}
/
portal-links
Create a portal link
Authorizations
Path Parameters
Project ID
Body
application/json
Portal Link Details
Was this page helpful?
⌘I